package main
 
import (
	"fmt"
    "net/http"
	"io"

)
 
func main() {
	http.HandleFunc("/", http.NotFound)
	http.HandleFunc("/runtest", func(w http.ResponseWriter, r *http.Request) {
		id := r.URL.Query().Get("id")
		redir := r.URL.Query().Get("redir")
		fmt.Println("id =>", id)
		fmt.Println("redir =>", redir)
		
		if (len(id) < 1 || len(redir) < 1) {
			io.WriteString(w, "Missing arguments\n")
		}else {
			io.WriteString(w, "<script>location.replace(\"")
			io.WriteString(w, redir)
			io.WriteString(w, "\")</script>")
			fmt.Println("Running tasks")
		}
			

	})
	http.ListenAndServe("127.0.0.1:5000", nil)
}